Get Advertiser Accounts in Network

Returns a list of advertiser accounts in your network.
See also: Get Allowed Accounts (below).

Rate limit: Tier 2
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
GET /backstage/api/1.0/demo-account-network/advertisers
{
   "results": [
      {
         "id": 1306,
         "name": "Demo Account 1",
         "account_id": "demo-account-001",
         "partner_types": [
            "ADVERTISER"
         ],
         "type": "PARTNER",
         "campaign_types": [
            "PAID"
         ],
         "currency": "USD",
         "time_zone_name": "US/Eastern"
      },
      {
         "id": 1307,
         "name": "Demo Account 2",
         "account_id": "demo-account-002",
         "partner_types": [
            "ADVERTISER"
         ],
         "type": "PARTNER",
         "campaign_types": [
            "PAID"
         ],
         "currency": "USD",
         "time_zone_name": "US/Pacific"
      }
   ],
   "metadata": {
      "total": 2,
      //...
   }
}
🚧

Guidelines

  1. Pass the network account as a path param. (If the account passed is not a network account, the endpoint returns 404.)
  2. Returns all advertiser accounts for the specified network.
  3. Returns sub-accounts only - i.e. it does not return the network account.

See also: Get Allowed Accounts (below).

📘

The account_id of your network account is provided to you during the API onboarding process, together with your client_id and client_secret.

Backstage API also provides a convenience method for fetching your account_id. See: Get Account Details (above).

Rate limit

🚧

Rate limit

Tier 2. Shares one budget with the other account and publisher listing endpoints.

See Rate limits for the request allowance each tier carries.

Path Params
string
required

The account_id of your network account.
An alphabetic string. See Get Account Details.

Language
Credentials
OAuth2
LoadingLoading…